<?php
namespace Incoviba\old\Venta;

use Carbon\Carbon;
use Incoviba\Common\Alias\OldModel as Model;

/**
 * @property int $id
 * @property UnidadBloqueada $unidad
 * @property \DateTime $fecha
 * @property TipoEstadoUnidadBloqueada $tipo
 */
class EstadoUnidadBloqueada extends Model
{
  public function unidad()
  {
    return $this->belongsTo(UnidadBloqueada::class, 'unidad')->findOne();
  }
  public function fecha(\DateTime $fecha = null)
  {
    if ($fecha == null) {
      return Carbon::parse($this->fecha, config('app.timezone'));
    }
    $this->fecha = $fecha->format('Y-m-d');
  }
  public function tipo()
  {
    return $this->belongsTo(TipoEstadoUnidadBloqueada::class, 'tipo')->findOne();
  }
}
